BimpHelp

Employees: Bimp API methods

Bimp API methods for the “Employees” resource (/org2/employee/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/employee/api-readA request to obtain detailed information for a particular employee
POST /org2/employee/api-readListA request to view a list of employees
POST /org2/employee/api-readStatusesA request to retrieve the available statuses for employees
POST /org2/employee/api-createA request to create a new employee
POST /org2/employee/api-updateA request to update information for an existing employee

api-read

POST /org2/employee/api-read

A request to obtain detailed information for a particular employee

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for an Employee

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for an Employee
codestring
commentstringAn optional text field for any additional notes or comments related to the document
positionstringEmployee position
namestringEmployee name
userstring (uuid) | null
statusstring (uuid)A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
hiredDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
releasedDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/employee/api-readList

A request to view a list of employees

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for an Employee
[].codestring
[].commentstringAn optional text field for any additional notes or comments related to the document
[].positionstringEmployee position
[].namestringEmployee name
[].userstring (uuid) | null
[].statusstring (uuid)A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
[].hiredDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].releasedDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-readStatuses

POST /org2/employee/api-readStatuses

A request to retrieve the available statuses for employees

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].codestring
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-readStatuses' \
  -H 'access-token: <company token>'

api-create

POST /org2/employee/api-create

A request to create a new employee

Request body (JSON)

FieldTypeRequiredDescription
namestringyesEmployee name
hiredDatestringyesThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
statusstring (uuid)yesA unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
commentstringAn optional text field for any additional notes or comments related to the document
positionstringEmployee position
userstring (uuid) | null
releasedDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)

Response: data field

FieldTypeDescription
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","hiredDate":"string","status":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/employee/api-update

A request to update information for an existing employee

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for an Employee
commentstringAn optional text field for any additional notes or comments related to the document
positionstringEmployee position
namestringEmployee name
userstring (uuid) | null
statusstring (uuid)A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
hiredDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
releasedDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.